config/routes.rb
Rails.application.routes.draw do
  resources :recognitions
  resources :statistics
  root 'recognitions#index'

  # RSS feed
  get 'feed', to: 'recognitions#feed', as: :feed

  # OptOutLinks
  get '/optout/:key', to: 'opt_out_links#optout', as: :optout

  # Shib/AD auth
  get "/signin", to: 'sessions#new', as: :signin
  get "/auth/google_oauth2", as: :google_oauth2
  get "/auth/developer", to: 'sessions#developer', as: :developer
  match "/auth/google_oauth2/callback" => "sessions#google_oauth2", as: :callback, via: [:get, :post]
  match "/signout" => "sessions#destroy", as: :signout, via: [:get, :post]
  match "/auth/failure", to: 'sessions#failure', as: :failed_signin, via: [:get, :post]

  # Log out
  get 'logout', to: 'recognitions#logout', as: :logout

  mount LetterOpenerWeb::Engine, at: "/letter_opener" if ENV.fetch('APPS_H5_DELIVERY_METHOD', "").eql? "letter_opener_web"
end

app/views/shared/_flash.html.erb
<% if flash.any? %>
  <div class="alert alert-success" role="alert">
    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
      <span aria-hidden="true">&times;</span>
    </button>
    <% flash.each do |name, msg| %>
      <div id="flash_<%= name %>"><%= msg %></div>
    <% end %>
  </div>
<% end %>

app/views/shared/_footer.erb
© <%= Date.today.year %> Regents of the University of California. All rights reserved<br>
<%= link_to 'Return to LiSN home page', 'https://lisn.ucsd.edu/' %>

app/views/shared/_top-nav.html.erb
<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
  <%= link_to app_title, recognitions_path, class: 'navbar-brand mb-0 h1' %>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <% if logged_in? %>
	      <li class="nav-item">
	        <%= link_to 'Home', recognitions_path, class: 'nav-link' %>
	      </li>
        <li class="nav-item">
          <%= link_to 'New', new_recognition_path, class: 'nav-link' %>
        </li>
        <% if can_administrate?(@recognition) %>
		      <li class="nav-item">
		        <%= link_to 'Stats', statistics_path, class: 'nav-link' %>
		      </li>
        <% end %>
      <% end %>
    </ul>
    <div class="form-inline my-2 my-lg-0">
      <% if logged_in? %>
        <%= link_to 'Sign out', signout_path, class: 'btn btn-outline-light my-2 my-sm-0' %>
      <% else %>
        <%= link_to 'Sign in', signin_path, class: 'btn btn-outline-light my-2 my-sm-0' %>
      <% end %>
    </div>
  </div>
</nav>